Bug 913574 - Review Request: gnome-shell-extension-per-window-keyboard-layout - Remembers keyboard layout for each window
Review Request: gnome-shell-extension-per-window-keyboard-layout - Remembers ...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-21 09:00 EST by Jakub Dorňák
Modified: 2015-07-21 08:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-14 11:35:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Dorňák 2013-02-21 09:00:08 EST
Spec URL: http://www.misli.cz/gnome-shell-extension-per-window-keyboard-layout.spec
SRPM URL: http://www.misli.cz/gnome-shell-extension-per-window-keyboard-layout-0-0.1.gitfcbc606ecf.fc18.src.rpm
Description: This GNOME shell extension restores the previously available input-source behavior that made it possible to have a different keyboard layout per window.
Fedora Account System Username: jdornak
Comment 1 Jakub Dorňák 2013-02-21 09:03:53 EST
I was not able to test this extension for rawhide, as gnome-tweek-tool, which I use to enable extension does not work in rawhide right now.
Once I am able to test it, I will provide spec for rawhide too.
Comment 2 Jakub Dorňák 2013-07-18 05:22:59 EDT
Spec URL: http://www.misli.cz/gnome-shell-extension-per-window-keyboard-layout.spec
SRPM URL: http://www.misli.cz/gnome-shell-extension-per-window~-4-0.git047684044b.fc19.src.rpm
Description: This GNOME shell extension restores the previously available input-source behavior that made it possible to have a different keyboard layout per window.
Fedora Account System Username: jdornak
Comment 4 Frantisek Kluknavsky 2013-07-18 09:29:00 EDT
rpmlint ./gnome-shell-extension-per-window-keyboard-layout-4-0.git047684044b.fc19.src.rpm 
gnome-shell-extension-per-window-keyboard-layout.src: W: strange-permission gnome-shell-extension-per-window-keyboard-layout.spec 0640L
gnome-shell-extension-per-window-keyboard-layout.src: W: invalid-url Source0: gnome-shell-extension-per-window-input-source-master.zip

rpmlint ./gnome-shell-extension-per-window-keyboard-layout-4-0.git047684044b.fc19.noarch.rpm 
gnome-shell-extension-per-window-keyboard-layout.noarch: W: incoherent-version-in-changelog 0.20130416-0 ['4-0.git047684044b.fc19', '4-0.git047684044b']

If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

schemas/gschemas.compiled ?    All program binaries and program libraries included in Fedora packages must be built from the source code that is included in the source package. Content binaries (such as .pdf, .png, .ps files) are not required to be rebuilt from the source code.
Comment 5 Frantisek Kluknavsky 2013-07-18 09:38:08 EDT
glib-compile-schemas (package glib2) produces identical gschemas.compiled from packaged org.gnome.shell.extensions.per-window-keyboard-layout.gschema.xml
Comment 6 Christopher Meng 2013-08-08 23:00:52 EDT
It's really simple for RH people to find sponsor...

I've requested tagging the release.
Comment 7 Fedora End Of Life 2015-01-09 12:42:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.